This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 1492036 - system-upgrade fails to connect to online mirrors during upgrade when caches are missing
Summary: system-upgrade fails to connect to online mirrors during upgrade when caches ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
(Show other bugs)
Version: 26
Hardware: x86_64 Linux
urgent
medium
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Keywords: CommonBugs, Reopened, Triaged
: 1494178 1514633 1514754 1514877 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-15 10:12 UTC by Björn 'besser82' Esser
Modified: 2018-01-03 20:14 UTC (History)
35 users (show)

Fixed In Version: dnf-plugins-extras-2.0.3-1.fc27 dnf-plugins-extras-2.0.3-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-09 22:26:37 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System fstab (890 bytes, text/plain)
2017-09-15 10:13 UTC, Björn 'besser82' Esser
no flags Details
Log from DNF (4.35 KB, text/plain)
2017-09-15 10:14 UTC, Björn 'besser82' Esser
no flags Details
boot.log from failed upgrade (172.69 KB, text/plain)
2017-09-15 12:55 UTC, Björn 'besser82' Esser
no flags Details
dnf.librepo.log (3.07 MB, text/plain)
2017-09-22 09:03 UTC, Kamil Páral
no flags Details
dnf.log (1.53 MB, text/plain)
2017-09-22 09:03 UTC, Kamil Páral
no flags Details
dnf.rpm.log (203.66 KB, text/plain)
2017-09-22 09:03 UTC, Kamil Páral
no flags Details
system-upgrade.json (109.38 KB, text/plain)
2017-09-22 09:04 UTC, Kamil Páral
no flags Details
upgrade.journal (98.08 KB, text/plain)
2017-09-22 09:04 UTC, Kamil Páral
no flags Details
rpm -qa output (100.32 KB, text/plain)
2017-09-22 09:04 UTC, Kamil Páral
no flags Details
dnf.log (3.97 MB, text/plain)
2017-09-22 12:14 UTC, Kamil Páral
no flags Details
A compressed folder of a few files from /var/log and some commands as in comment #11 and later (380.54 KB, application/zip)
2017-10-24 21:37 UTC, Christian Stadelmann
no flags Details
/var/log/dnf.librepo.log (7.19 MB, text/plain)
2017-11-27 10:12 UTC, Yannick Meudal
no flags Details
/var/log/dnf.log (6.24 MB, text/plain)
2017-11-27 10:16 UTC, Yannick Meudal
no flags Details
/var/log/hawkey.log (45.15 KB, text/plain)
2017-11-27 10:18 UTC, Yannick Meudal
no flags Details

Description Björn 'besser82' Esser 2017-09-15 10:12:24 UTC
Description of problem:

  Upgrade from fc26 to fc27 fails silently


Version-Release number of selected component (if applicable):

  2.0.2-1.fc26


How reproducible:

  100%


Steps to Reproduce:

  1.  sudo dnf system-upgrade download --refresh --releasever=27
  2.  sudo dnf system-upgrade reboot
  3.  System reboots, tries to start the upgrade, fails and reboots


Actual results:

  System reboots to fc26.


Expected results:

  System upgrades properly to fc27.


Additional info:

See attached files for system's fstab and dnf.log

Comment 1 Björn 'besser82' Esser 2017-09-15 10:13 UTC
Created attachment 1326379 [details]
System fstab

fstab from the system

Comment 2 Björn 'besser82' Esser 2017-09-15 10:14 UTC
Created attachment 1326380 [details]
Log from DNF

Log from DNF about failing system-upgrade from fc26 to fc27.

Comment 3 Kamil Páral 2017-09-15 12:38:31 UTC
That's weird, it seems that "dnf system-upgrade upgrade" tried to connect to online repos (which it can't, since network is not up during upgrade). That should not happen.

Can you attach journal from the upgrade run? You can get it with `journalctl -b -1` directly after reboot after the upgrade attempt, or use `journalctl --list-boots` to figure out the boot number of your upgrade.

Comment 4 Björn 'besser82' Esser 2017-09-15 12:55 UTC
Created attachment 1326461 [details]
boot.log from failed upgrade

(In reply to Kamil Páral from comment #3)
> That's weird, it seems that "dnf system-upgrade upgrade" tried to connect to
> online repos (which it can't, since network is not up during upgrade). That
> should not happen.
> 
> Can you attach journal from the upgrade run?

Here you go.

Comment 5 Adam Williamson 2017-09-15 15:45:14 UTC
Is this reproducible, or does it work if you try again?

Comment 6 Björn 'besser82' Esser 2017-09-15 17:47:32 UTC
It is 100% reproducible on every attempt.

Comment 7 Random Guy 2017-09-18 05:32:28 UTC
I think i've expirienced something like this. But, in my case first command doesn't worked without --allowerasing prefix

First time i ran 
sudo dnf system-upgrade download --refresh --releasever=27 --enablerepo=updates-testing --allowerasing
And I've got the same issue - system reboots, tries to start the upgrade, fails and reboots. But when i ran download thing without updates-testing repo - update process started and finished successfully.

Comment 8 Kamil Páral 2017-09-18 16:29:16 UTC
Discussed at blocker review meeting [1]:

punt - There is just single person who reproduced this and bug 1490832 prevents us to test it. So we will wait until that one is solved and investigate

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2017-09-18

Comment 9 Kamil Páral 2017-09-21 17:27:52 UTC
Discussed during blocker review [1]:

RejectedBlocker (beta) - Just single person (reporter) was able to reproduce. If there will be more reports, it can be re-proposed

[1] https://meetbot-raw.fedoraproject.org/fedora-meeting-1/2017-09-21/

Comment 10 Satish Balay 2017-09-21 18:01:56 UTC
*** Bug 1494178 has been marked as a duplicate of this bug. ***

Comment 11 Kamil Páral 2017-09-22 09:02:32 UTC
It seems I've hit this myself when trying to upgrade my production workstation.

From journal:

Sep 22 10:43:54 dryad dnf[908]: Error: Failed to synchronize cache for repo 'updates-testing'

From dnf.log:

2017-09-22T08:43:54Z DEBUG Cannot download 'https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f27&arch=x86_64': Cannot prepare internal mirrorlist: Curl error (6): Couldn't resolve host name for https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f27&arch=x86_64 [Could not resolve host: mirrors.fedoraproject.org].
2017-09-22T08:43:54Z DDEBUG Cleaning up.
2017-09-22T08:43:54Z SUBDEBUG 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 229, in _perform
    return super(_Handle, self).perform(result)
  File "/usr/lib64/python3.6/site-packages/librepo/__init__.py", line 1522, in perform
    _librepo.Handle.perform(self, result)
librepo.LibrepoException: (8, "Cannot prepare internal mirrorlist: Curl error (6): Couldn't resolve host name for https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f27&arch=x86_64 [Could not resolve host: mirrors.fedoraproject.org]", 'An Curl handle error')

Comment 12 Kamil Páral 2017-09-22 09:03:40 UTC
Created attachment 1329473 [details]
dnf.librepo.log

Comment 13 Kamil Páral 2017-09-22 09:03:49 UTC
Created attachment 1329474 [details]
dnf.log

Comment 14 Kamil Páral 2017-09-22 09:03:55 UTC
Created attachment 1329475 [details]
dnf.rpm.log

Comment 15 Kamil Páral 2017-09-22 09:04:01 UTC
Created attachment 1329476 [details]
system-upgrade.json

Comment 16 Kamil Páral 2017-09-22 09:04:07 UTC
Created attachment 1329477 [details]
upgrade.journal

Comment 17 Kamil Páral 2017-09-22 09:04:39 UTC
Created attachment 1329478 [details]
rpm -qa output

Comment 18 Kamil Páral 2017-09-22 10:19:17 UTC
I've reproduced this reliably in a VM, even with just fedora+updates (no updates-testing nor third-party repos). This happens when you have no caches for *F26* repos. This is how to trigger the bug:

$ sudo dnf clean all   # F26 caches purged
$ sudo dnf system-upgrade download --releasever=27  # F27 caches downloaded
$ sudo dnf system-upgrade reboot

And this is how to work around this bug when the upgrade fails with "Failed to synchronize cache" error:

$ sudo dnf makecache   # F26 caches downloaded
$ sudo dnf system-upgrade reboot


There might be some edge cases I haven't covered, like outdated cache instead of missing cache, but in general, this should hopefully fix it:
$ sudo dnf clean all; sudo dnf makecache

So, how many users are affected is the question here. "dnf clean" is pretty popular command because it solves outdated repos problem, which dnf is unable to handle automatically. I had to run it myself, otherwise I ended up with "no more mirrors to try" error - and that's why I hit this bug. But overall it should be hopefully a minority of our user base who hits this, so I'll keep this in CommonBugs and leave it proposed as Final, rather than Beta.

Proper investigation from dnf team is of course welcome, to better understand the use cases when this happens.

Comment 19 Jaroslav Mracek 2017-09-22 11:08:47 UTC
I think that the patch (https://github.com/rpm-software-management/dnf-plugins-extras/pull/106) should solve the issue. Please try dnf-plugin-system-upgrade from copr jmracek/System-upgrade + add manually the patch.

Patch :

diff --git a/plugins/system_upgrade.py b/plugins/system_upgrade.py
index 8664a3a..d9154a8 100644
--- a/plugins/system_upgrade.py
+++ b/plugins/system_upgrade.py
@@ -364,6 +364,7 @@ class SystemUpgradeCommand(dnf.cli.Command):
     def configure_upgrade(self):
         # same as the download, but offline and non-interactive. so...
         self.cli.demands.root_user = True
+        self.cli.demands.fresh_metadata = False
         self.cli.demands.resolving = True
         self.cli.demands.available_repos = True
         self.cli.demands.sack_activation = True

Comment 20 Kamil Páral 2017-09-22 12:14 UTC
Created attachment 1329553 [details]
dnf.log

For the record, the copr link is:
https://copr.fedorainfracloud.org/coprs/jmracek/System-upgrade/
and the patch from comment 19 seems to be already included.

The problem is not fixed, same tracebacks.

Comment 21 Jaroslav Mracek 2017-09-22 15:54:09 UTC
Thanks a lot Kamim for report, but I was unable to reproduce your problem.

I did:

    4  sudo dnf copr enable jmracek/System-upgrade
    5  sudo dnf install dnf-plugin-system-upgrade --repo jmracek-System-upgrade
    6  sudo dnf clean all
    7  sudo dnf system-upgrade download --releasever 27
    8  sudo dnf system-upgrade reboot


Please can you provide repofiles (*.repo) and dnf conf?

One additional thing I still have a problem with vm therefore I have only one working kernel 

kernel-core-4.11.8-300.fc26.x86_64

therefore all work was done by that kernel.

With others I still have a problem to boot
kernel-core-4.12.13-300.fc26.x86_64
kernel-core-4.13.2-300.fc27.x86_64

Comment 22 Jaroslav Mracek 2017-09-22 16:35:14 UTC
I have only one idea that could be behind the last problem, and that some other services touched the cache of repos. Therefore I create a patch that redirect casche to other location, therefore even dnf system-upgrade clean will remove all downloaded content (but from now not dnf clean all). Again new version is part of  jmracek/System-upgrade. Patch is available here:  (https://github.com/rpm-software-management/dnf-plugins-extras/pull/106)

Comment 23 Jaroslav Mracek 2017-09-22 16:39:53 UTC
Just to be sure the latest version with all patches has a version 2.0.2-1.git.329.ccf3bb1.fc26

Comment 24 Fedora Update System 2017-10-02 10:33:03 UTC
dnf-plugins-extras-2.0.3-1.fc27 dnf-plugins-core-2.1.4-1.fc27 dnf-2.7.2-1.fc27 libdnf-0.10.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-faf235c683

Comment 25 Fedora Update System 2017-10-02 10:37:07 UTC
dnf-plugins-extras-2.0.3-1.fc26 dnf-plugins-core-2.1.4-1.fc26 dnf-2.7.2-1.fc26 libdnf-0.10.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-70a8618065

Comment 26 Kamil Páral 2017-10-02 16:43:23 UTC
Discussed at blocker review meeting [1]:

Punt (delay decision) - We'll wait until this is confirmed by multiple parties or more ways to trigger this are found.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2017-10-02/

Comment 27 Fedora Update System 2017-10-02 20:27:55 UTC
dnf-2.7.2-1.fc26, dnf-plugins-core-2.1.4-1.fc26, dnf-plugins-extras-2.0.3-1.fc26, libdnf-0.10.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-70a8618065

Comment 28 Fedora Update System 2017-10-02 21:27:17 UTC
dnf-2.7.2-1.fc27, dnf-plugins-core-2.1.4-1.fc27, dnf-plugins-extras-2.0.3-1.fc27, libdnf-0.10.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-faf235c683

Comment 29 František Zatloukal 2017-10-04 08:53:02 UTC
Fix confirmed in dnf-plugin-system-upgrade-2.0.3-1.fc26 .

Comment 30 Kamil Páral 2017-10-04 12:31:52 UTC
This is also fixed for me.

Comment 31 Fedora Update System 2017-10-04 14:22:43 UTC
dnf-2.7.2-1.fc27, dnf-plugins-core-2.1.4-1.fc27, dnf-plugins-extras-2.0.3-1.fc27, libdnf-0.10.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2017-10-04 22:24:53 UTC
dnf-2.7.2-1.fc26, dnf-plugins-core-2.1.4-1.fc26, dnf-plugins-extras-2.0.3-1.fc26, libdnf-0.10.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Christian Stadelmann 2017-10-19 21:54:09 UTC
I still see this bug with a fully updated F26 system when trying to upgrade to F27.

My software versions:
dnf-2.7.4-1.fc26.noarch
dnf-plugins-core-2.1.5-1.fc26.noarch
libdnf-0.11.1-1.fc26.x86_64

Comment 34 Kamil Páral 2017-10-20 10:19:05 UTC
Christian, please upload logs. See comment 11 onward to see which ones.

Comment 35 Jaroslav Mracek 2017-10-20 14:35:45 UTC
Please Christian what is the python3-dnf-plugin-system-upgrade version?

Comment 36 Christian Stadelmann 2017-10-24 21:37 UTC
Created attachment 1342964 [details]
A compressed folder of a few files from /var/log and some commands as in comment #11 and later

(In reply to Kamil Páral from comment #34)
> Christian, please upload logs. See comment 11 onward to see which ones.

(In reply to Jaroslav Mracek from comment #35)
> Please Christian what is the python3-dnf-plugin-system-upgrade version?

Pre-upgrade software versions:
dnf-2.7.5-1.fc26.noarch
libdnf-0.11.0-1.fc26.x86_64
rpm-4.13.0.1-7.fc26.x86_64
python3-3.6.2-8.fc26.x86_64
python3-dnf-plugin-system-upgrade-2.0.3-1.fc26.noarch

I ran these commands on a F26 installation beginning at 2017-10-24T21:11:01Z UTC (23:11 local time) with updates-testing repo enabled:
# dnf upgrade
and installed all updates
# dnf system-upgrade --releasever=27 download
aborted to refresh my repos
# dnf --refresh upgrade
which returned with no update to install
# dnf distro-sync
which returned with no transaction to do
# dnf system-upgrade --releasever=27 download
confirmed with "y"
# dnf makecache
# dnf system-upgrade reboot
[system reboots]
[system reboots again]
then I retrieved the log files attached.

The main issue is this traceback during system-upgrade (after first reboot):

2017-10-24T21:20:43Z SUBDEBUG 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 229, in _perform
    return super(_Handle, self).perform(result)
  File "/usr/lib64/python3.6/site-packages/librepo/__init__.py", line 1522, in perform
    _librepo.Handle.perform(self, result)
librepo.LibrepoException: (8, "Cannot prepare internal mirrorlist: Curl error (6): Couldn't resolve host name for https://mirrors.fedoraproject.org/metalink?repo=fedora-27&arch=x86_64 [Could not resolve host: mirrors.fedoraproject.org]", 'An Curl handle error')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 909, in load
    if self._try_revive():
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 857, in _try_revive
    return self._try_revive_by_metalink()
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 810, in _try_revive_by_metalink
    handle._perform()
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 233, in _perform
    raise _DetailedLibrepoError(exc, source)
dnf.repo._DetailedLibrepoError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1010, in run
    self._process_demands()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 763, in _process_demands
    load_available_repos=self.demands.available_repos)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 353, in fill_sack
    self._add_repo_to_sack(r)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 118, in _add_repo_to_sack
    repo.load()
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 931, in load
    raise dnf.exceptions.RepoError(msg)
dnf.exceptions.RepoError: Zwischenspeicher für Paketquelle »fedora« konnte nicht synchronisiert werden
2017-10-24T21:20:43Z CRITICAL Fehler: Zwischenspeicher für Paketquelle »fedora« konnte nicht synchronisiert werden

Is that all the information you need?

Comment 37 Christian Stadelmann 2017-10-25 19:28:02 UTC
I tried again today and after deleting /var/lib/dnf/system-upgrade and /var/lib/dnf/system-upgrade.json, the upgrade went fine.

Comment 38 Rudi Salm 2017-11-14 17:49:24 UTC
Hello @ all,

sorry, but the bug is persitent.

I tried again on my workstation with the actual python3-dnf-plugin-system-upgrade-2.0.3-1.fc26.noarch but the upgrade always crashes.

[ 18:40:43 root@bitcom02 /var/log ]# dnf list \*dnf\*
Letzte Prüfung auf abgelaufene Metadaten: vor 0:49:08 am Di 14 Nov 2017 17:54:09 CET.
Installierte Pakete
dnf.noarch                                 2.7.5-1.fc26
dnf-automatic.noarch                       2.7.5-1.fc26
dnf-conf.noarch                            2.7.5-1.fc26
dnf-plugins-core.noarch                    2.1.5-1.fc26
dnf-yum.noarch                             2.7.5-1.fc26
dnfdaemon.noarch                           0.3.18-3.fc26
dnfdaemon-selinux.noarch                   0.3.18-3.fc26
libdnf.x86_64                              0.11.1-1.fc26
python2-dnf.noarch                         2.7.5-1.fc26
python2-dnf-plugin-system-upgrade.noarch   2.0.3-1.fc26
python2-dnf-plugins-extras-common.noarch   2.0.3-1.fc26
python3-dnf.noarch                         2.7.5-1.fc26
python3-dnf-plugin-system-upgrade.noarch   2.0.3-1.fc26
python3-dnf-plugins-core.noarch            2.1.5-1.fc26
python3-dnf-plugins-extras-common.noarch   2.0.3-1.fc26
python3-dnfdaemon.noarch                   0.3.18-3.fc26


My steps:

dnf --refresh upgrade -> everything up to date
dnf system-upgrade --releasever=27 download -> everything was downloaded
dnf system-upgrade reboot -> results in error see in dnf.log


/var/log/dnf.log:

2017-11-14T17:13:13Z INFO Fertig.
2017-11-14T17:13:13Z INFO Download complete! Use 'dnf system-upgrade reboot' to start the upgrade.
2017-11-14T17:13:13Z DDEBUG Cleaning up.
2017-11-14T17:13:13Z INFO Die heruntergeladenen Pakete wurden bis zur nächsten erfolgreichen Transaktion im Zwischenspeicher abgelegt.
2017-11-14T17:13:13Z INFO Sie können zwischengespeicherte Pakete mit dem Befehl »dnf clean packages« entfernen.
2017-11-14T17:13:20Z INFO --- logging initialized ---
2017-11-14T17:13:20Z DDEBUG timer: config: 5 ms
2017-11-14T17:13:20Z DEBUG Loaded plugins: builddep, config-manager, copr, debug, debuginfo-install, download, generate_completion_cache, needs-restarting, playground, repoclosure, repograph, repomanage, reposync, system-upgrade
2017-11-14T17:13:20Z DEBUG DNF version: 2.7.5
2017-11-14T17:13:20Z DDEBUG Command: dnf system-upgrade reboot 
2017-11-14T17:13:20Z DDEBUG Installroot: /
2017-11-14T17:13:20Z DDEBUG Releasever: 26
2017-11-14T17:13:20Z DEBUG cachedir: /var/cache/dnf
2017-11-14T17:13:20Z DDEBUG Base command: system-upgrade
2017-11-14T17:13:20Z DDEBUG Extra commands: ['system-upgrade', 'reboot']
2017-11-14T17:13:20Z DDEBUG Cleaning up.
2017-11-14T17:13:42Z INFO --- logging initialized ---
2017-11-14T17:13:42Z DDEBUG timer: config: 5 ms
2017-11-14T17:13:42Z DEBUG Loaded plugins: builddep, config-manager, copr, debug, debuginfo-install, download, generate_completion_cache, needs-restarting, playground, repoclosure, repograph, repomanage, reposync, system-upgrade
2017-11-14T17:13:42Z DEBUG DNF version: 2.7.5
2017-11-14T17:13:42Z DDEBUG Command: dnf --releasever=27 system-upgrade upgrade 
2017-11-14T17:13:42Z DDEBUG Installroot: /
2017-11-14T17:13:42Z DDEBUG Releasever: 27
2017-11-14T17:13:42Z DEBUG cachedir: /var/cache/dnf
2017-11-14T17:13:42Z DDEBUG Base command: system-upgrade
2017-11-14T17:13:42Z DDEBUG Extra commands: ['--releasever=27', 'system-upgrade', 'upgrade']
2017-11-14T17:13:46Z DEBUG Paketquelle: Cache verwenden für: updates
2017-11-14T17:13:46Z DEBUG updates: Metadaten von Di 14 Nov 2017 01:46:57 CET werden verwendet.
2017-11-14T17:13:46Z DEBUG Kann nicht herunterladen 'https://mirrors.fedoraproject.org/metalink?repo=fedora-27&arch=x86_64': Cannot prepare internal mirrorlist: Curl error (6): Couldn't resolve host name for https://mirrors.fedoraproject.org/metalink?repo=fedora-27&arch=x86_64 [Could not resolve host: mirrors.fedoraproject.org].
2017-11-14T17:13:46Z DDEBUG Cleaning up.
2017-11-14T17:13:46Z SUBDEBUG 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 229, in _perform
    return super(_Handle, self).perform(result)
  File "/usr/lib64/python3.6/site-packages/librepo/__init__.py", line 1522, in perform
    _librepo.Handle.perform(self, result)
librepo.LibrepoException: (8, "Cannot prepare internal mirrorlist: Curl error (6): Couldn't resolve host name for https://mirrors.fedoraproject.org/metalink?repo=fedora-27&arch=x86_64 [Could not resolve host: mirrors.fedoraproject.org]", 'An Curl handle error')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 909, in load
    if self._try_revive():
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 857, in _try_revive
    return self._try_revive_by_metalink()
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 810, in _try_revive_by_metalink
    handle._perform()
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 233, in _perform
    raise _DetailedLibrepoError(exc, source)
dnf.repo._DetailedLibrepoError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1010, in run
    self._process_demands()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 763, in _process_demands
    load_available_repos=self.demands.available_repos)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 353, in fill_sack
    self._add_repo_to_sack(r)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 118, in _add_repo_to_sack
    repo.load()
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 931, in load
    raise dnf.exceptions.RepoError(msg)
dnf.exceptions.RepoError: Zwischenspeicher für Paketquelle »fedora« konnte nicht synchronisiert werden
2017-11-14T17:13:46Z CRITICAL Fehler: Zwischenspeicher für Paketquelle »fedora« konnte nicht synchronisiert werden


/var/log/dnf.librepo.log:

18:24:26 lr_handle_prepare_internal_mirrorlist: Preparing internal mirrorlist
18:24:26 lr_handle_prepare_metalink: Local metalink.xml found at /var/cache/dnf/rpmfusion-nonfree-d8e2099596b5b756/metalink.xml
18:24:26 lr_handle_prepare_metalink: Parsing metalink.xml
18:24:26 lr_handle_prepare_metalink: Mirrors from metalink:
18:24:26   http://fedora.tu-chemnitz.de/pub/linux/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   https://ftp-stud.hs-esslingen.de/pub/Mirrors/rpmfusion.org/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   rsync://mirror1.hs-esslingen.de/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://ftp-stud.hs-esslingen.de/pub/Mirrors/rpmfusion.org/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   ftp://mirror.de.leaseweb.net/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://mirror.de.leaseweb.net/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   ftp://ftp.mirrorservice.org/sites/download1.rpmfusion.org/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://www.mirrorservice.org/sites/download1.rpmfusion.org/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   rsync://rsync.mirrorservice.org/download1.rpmfusion.org/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   ftp://mirror.proserve.nl/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://mirror.proserve.nl/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://mirrors.netix.net/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://mirrors.coreix.net/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   rsync://mirror.netsite.dk/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   https://mirror.netsite.dk/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://mirror.netsite.dk/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://ftp.nluug.nl/os/Linux/distr/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   ftp://ftp.nluug.nl/pub/os/Linux/distr/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://mirror.nl.leaseweb.net/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   ftp://rpmfusion.ip-connect.vn.ua/mirror/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://rpmfusion.ip-connect.vn.ua/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   rsync://rpmfusion.ip-connect.vn.ua/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://mirror.telepoint.bg/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   ftp://mirror.telepoint.bg/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   ftp://ftp.cc.uoc.gr/mirrors/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://ftp.cc.uoc.gr/mirrors/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://mirror.vutbr.cz/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   ftp://mirror.vutbr.cz/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   rsync://mirror.vutbr.cz/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://ftp.icm.edu.pl/pub/Linux/distributions/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   ftp://mirror.switch.ch/mirror/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://mirror.switch.ch/ftp/mirror/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   ftp://mirror.karneval.cz/pub/linux/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://mirror.karneval.cz/pub/linux/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://download1.rpmfusion.org/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   https://download1.rpmfusion.org/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   rsync://download1.rpmfusion.org/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   rsync://mirror.host.ag/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://mirror.host.ag/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   ftp://fr2.rpmfind.net/linux/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   rsync://fr2.rpmfind.net/linux/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://fr2.rpmfind.net/linux/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://mirror.yandex.ru/fedora/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   rsync://mirror.yandex.ru/fedora/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   ftp://mirror.yandex.ru/fedora/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   ftp://ftp.fedora.is/pub/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://www.fedora.is/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://fedora.uib.no/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://mir01.syntis.net/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://ftp.astral.ro/mirrors/rpmfusion.org/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26   http://ftp.upjs.sk/pub/mirrors/rpmfusion.org/nonfree/fedora/releases/26/Everything/x86_64/os/repodata/repomd.xml
18:24:26 lr_handle_prepare_metalink: Metalink parsed
18:24:26 lr_handle_prepare_internal_mirrorlist: Finalizing internal mirrorlist
18:24:26 lr_handle_prepare_internal_mirrorlist: Finalizing mirrors reported via LRI_MIRRORS
18:24:26 lr_handle_perform: Downloading/Locating yum repo
18:24:26 lr_yum_use_local: Locating repo..
18:24:26 lr_yum_use_local_load_base: Found local metalink: /var/cache/dnf/rpmfusion-nonfree-d8e2099596b5b756/metalink.xml
18:24:26 lr_yum_use_local_load_base: Parsing repomd.xml
18:24:26 lr_yum_use_local_load_base: Repomd revision: 1499687864
18:24:26 lr_yum_use_local: Repository was successfully located
18:24:26 lr_yum_check_checksum_of_md_record: Checking checksum of /var/cache/dnf/rpmfusion-nonfree-d8e2099596b5b756/repodata/509d05045e99b4ad22d148886b992bdb5065df19884f97b9728ee63ab3194022-filelists.xml.gz (expected: 509d05045e99b4ad22d148886b992bdb5065df19884f97b9728ee63ab3194022 [sha256])
18:24:26 lr_checksum_fd_compare: Using checksum cached in xattr: [user.Zif.MdChecksum[1510164986]] 509d05045e99b4ad22d148886b992bdb5065df19884f97b9728ee63ab3194022
18:24:26 lr_yum_check_checksum_of_md_record: Checksum check - Passed
18:24:26 lr_yum_check_checksum_of_md_record: Checking checksum of /var/cache/dnf/rpmfusion-nonfree-d8e2099596b5b756/repodata/4ae0f542174c25963e0a75ab792392a04c4a0323469b74bd2f32f2180be8c883-comps-f26.xml.xz (expected: 4ae0f542174c25963e0a75ab792392a04c4a0323469b74bd2f32f2180be8c883 [sha256])
18:24:26 lr_checksum_fd_compare: Using checksum cached in xattr: [user.Zif.MdChecksum[1510164986]] 4ae0f542174c25963e0a75ab792392a04c4a0323469b74bd2f32f2180be8c883
18:24:26 lr_yum_check_checksum_of_md_record: Checksum check - Passed
18:24:26 lr_yum_check_checksum_of_md_record: Checking checksum of /var/cache/dnf/rpmfusion-nonfree-d8e2099596b5b756/repodata/afcd65e9e78c6a6e6fbe4bcc14356727a1dd54e8997414f3eacdb0129c06e199-primary.xml.gz (expected: afcd65e9e78c6a6e6fbe4bcc14356727a1dd54e8997414f3eacdb0129c06e199 [sha256])
18:24:26 lr_checksum_fd_compare: Using checksum cached in xattr: [user.Zif.MdChecksum[1510678449]] afcd65e9e78c6a6e6fbe4bcc14356727a1dd54e8997414f3eacdb0129c06e199
18:24:26 lr_yum_check_checksum_of_md_record: Checksum check - Passed
18:24:26 lr_handle_perform: Restoring an old SIGINT handler

Comment 39 Adrien Faveraux 2017-11-14 20:31:00 UTC
(In reply to Rudi Salm from comment #38)
> Hello @ all,
> 
> sorry, but the bug is persitent.
> 
> I tried again on my workstation with the actual
> python3-dnf-plugin-system-upgrade-2.0.3-1.fc26.noarch but the upgrade always
> crashes.
> 
> [ 18:40:43 root@bitcom02 /var/log ]# dnf list \*dnf\*
> Letzte Prüfung auf abgelaufene Metadaten: vor 0:49:08 am Di 14 Nov 2017
> 17:54:09 CET.
> Installierte Pakete
> dnf.noarch                                 2.7.5-1.fc26
> dnf-automatic.noarch                       2.7.5-1.fc26
> dnf-conf.noarch                            2.7.5-1.fc26
> dnf-plugins-core.noarch                    2.1.5-1.fc26
> dnf-yum.noarch                             2.7.5-1.fc26
> dnfdaemon.noarch                           0.3.18-3.fc26
> dnfdaemon-selinux.noarch                   0.3.18-3.fc26
> libdnf.x86_64                              0.11.1-1.fc26
> python2-dnf.noarch                         2.7.5-1.fc26
> python2-dnf-plugin-system-upgrade.noarch   2.0.3-1.fc26
> python2-dnf-plugins-extras-common.noarch   2.0.3-1.fc26
> python3-dnf.noarch                         2.7.5-1.fc26
> python3-dnf-plugin-system-upgrade.noarch   2.0.3-1.fc26
> python3-dnf-plugins-core.noarch            2.1.5-1.fc26
> python3-dnf-plugins-extras-common.noarch   2.0.3-1.fc26
> python3-dnfdaemon.noarch                   0.3.18-3.fc26
> 
> 
> My steps:
> 
> dnf --refresh upgrade -> everything up to date
> dnf system-upgrade --releasever=27 download -> everything was downloaded
> dnf system-upgrade reboot -> results in error see in dnf.log
> 
> 
> /var/log/dnf.log:
> 
> 2017-11-14T17:13:13Z INFO Fertig.
> 2017-11-14T17:13:13Z INFO Download complete! Use 'dnf system-upgrade reboot'
> to start the upgrade.
> 2017-11-14T17:13:13Z DDEBUG Cleaning up.
> 2017-11-14T17:13:13Z INFO Die heruntergeladenen Pakete wurden bis zur
> nächsten erfolgreichen Transaktion im Zwischenspeicher abgelegt.
> 2017-11-14T17:13:13Z INFO Sie können zwischengespeicherte Pakete mit dem
> Befehl »dnf clean packages« entfernen.
> 2017-11-14T17:13:20Z INFO --- logging initialized ---
> 2017-11-14T17:13:20Z DDEBUG timer: config: 5 ms
> 2017-11-14T17:13:20Z DEBUG Loaded plugins: builddep, config-manager, copr,
> debug, debuginfo-install, download, generate_completion_cache,
> needs-restarting, playground, repoclosure, repograph, repomanage, reposync,
> system-upgrade
> 2017-11-14T17:13:20Z DEBUG DNF version: 2.7.5
> 2017-11-14T17:13:20Z DDEBUG Command: dnf system-upgrade reboot 
> 2017-11-14T17:13:20Z DDEBUG Installroot: /
> 2017-11-14T17:13:20Z DDEBUG Releasever: 26
> 2017-11-14T17:13:20Z DEBUG cachedir: /var/cache/dnf
> 2017-11-14T17:13:20Z DDEBUG Base command: system-upgrade
> 2017-11-14T17:13:20Z DDEBUG Extra commands: ['system-upgrade', 'reboot']
> 2017-11-14T17:13:20Z DDEBUG Cleaning up.
> 2017-11-14T17:13:42Z INFO --- logging initialized ---
> 2017-11-14T17:13:42Z DDEBUG timer: config: 5 ms
> 2017-11-14T17:13:42Z DEBUG Loaded plugins: builddep, config-manager, copr,
> debug, debuginfo-install, download, generate_completion_cache,
> needs-restarting, playground, repoclosure, repograph, repomanage, reposync,
> system-upgrade
> 2017-11-14T17:13:42Z DEBUG DNF version: 2.7.5
> 2017-11-14T17:13:42Z DDEBUG Command: dnf --releasever=27 system-upgrade
> upgrade 
> 2017-11-14T17:13:42Z DDEBUG Installroot: /
> 2017-11-14T17:13:42Z DDEBUG Releasever: 27
> 2017-11-14T17:13:42Z DEBUG cachedir: /var/cache/dnf
> 2017-11-14T17:13:42Z DDEBUG Base command: system-upgrade
> 2017-11-14T17:13:42Z DDEBUG Extra commands: ['--releasever=27',
> 'system-upgrade', 'upgrade']
> 2017-11-14T17:13:46Z DEBUG Paketquelle: Cache verwenden für: updates
> 2017-11-14T17:13:46Z DEBUG updates: Metadaten von Di 14 Nov 2017 01:46:57
> CET werden verwendet.
> 2017-11-14T17:13:46Z DEBUG Kann nicht herunterladen
> 'https://mirrors.fedoraproject.org/metalink?repo=fedora-27&arch=x86_64':
> Cannot prepare internal mirrorlist: Curl error (6): Couldn't resolve host
> name for
> https://mirrors.fedoraproject.org/metalink?repo=fedora-27&arch=x86_64 [Could
> not resolve host: mirrors.fedoraproject.org].
> 2017-11-14T17:13:46Z DDEBUG Cleaning up.
> 2017-11-14T17:13:46Z SUBDEBUG 
> Traceback (most recent call last):
>   File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 229, in _perform
>     return super(_Handle, self).perform(result)
>   File "/usr/lib64/python3.6/site-packages/librepo/__init__.py", line 1522,
> in perform
>     _librepo.Handle.perform(self, result)
> librepo.LibrepoException: (8, "Cannot prepare internal mirrorlist: Curl
> error (6): Couldn't resolve host name for
> https://mirrors.fedoraproject.org/metalink?repo=fedora-27&arch=x86_64 [Could
> not resolve host: mirrors.fedoraproject.org]", 'An Curl handle error')
> 
> During handling of the above exception, another exception occurred:
> 
> Traceback (most recent call last):
>   File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 909, in load
>     if self._try_revive():
>   File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 857, in
> _try_revive
>     return self._try_revive_by_metalink()
>   File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 810, in
> _try_revive_by_metalink
>     handle._perform()
>   File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 233, in _perform
>     raise _DetailedLibrepoError(exc, source)
> dnf.repo._DetailedLibrepoError
> 
> During handling of the above exception, another exception occurred:
> 
> Traceback (most recent call last):
>   File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
>     return _main(base, args, cli_class, option_parser_class)
>   File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
>     return cli_run(cli, base)
>   File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in
> cli_run
>     cli.run()
>   File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1010, in run
>     self._process_demands()
>   File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 763, in
> _process_demands
>     load_available_repos=self.demands.available_repos)
>   File "/usr/lib/python3.6/site-packages/dnf/base.py", line 353, in fill_sack
>     self._add_repo_to_sack(r)
>   File "/usr/lib/python3.6/site-packages/dnf/base.py", line 118, in
> _add_repo_to_sack
>     repo.load()
>   File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 931, in load
>     raise dnf.exceptions.RepoError(msg)
> dnf.exceptions.RepoError: Zwischenspeicher für Paketquelle »fedora« konnte
> nicht synchronisiert werden
> 2017-11-14T17:13:46Z CRITICAL Fehler: Zwischenspeicher für Paketquelle
> »fedora« konnte nicht synchronisiert werden
> 
> 
> /var/log/dnf.librepo.log:
> 
> 18:24:26 lr_handle_prepare_internal_mirrorlist: Preparing internal mirrorlist
> 18:24:26 lr_handle_prepare_metalink: Local metalink.xml found at
> /var/cache/dnf/rpmfusion-nonfree-d8e2099596b5b756/metalink.xml
> 18:24:26 lr_handle_prepare_metalink: Parsing metalink.xml
> 18:24:26 lr_handle_prepare_metalink: Mirrors from metalink:
> 18:24:26  
> http://fedora.tu-chemnitz.de/pub/linux/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> https://ftp-stud.hs-esslingen.de/pub/Mirrors/rpmfusion.org/nonfree/fedora/
> releases/26/Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> rsync://mirror1.hs-esslingen.de/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://ftp-stud.hs-esslingen.de/pub/Mirrors/rpmfusion.org/nonfree/fedora/
> releases/26/Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> ftp://mirror.de.leaseweb.net/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://mirror.de.leaseweb.net/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> ftp://ftp.mirrorservice.org/sites/download1.rpmfusion.org/nonfree/fedora/
> releases/26/Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://www.mirrorservice.org/sites/download1.rpmfusion.org/nonfree/fedora/
> releases/26/Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> rsync://rsync.mirrorservice.org/download1.rpmfusion.org/nonfree/fedora/
> releases/26/Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> ftp://mirror.proserve.nl/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://mirror.proserve.nl/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://mirrors.netix.net/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://mirrors.coreix.net/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> rsync://mirror.netsite.dk/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> https://mirror.netsite.dk/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://mirror.netsite.dk/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://ftp.nluug.nl/os/Linux/distr/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> ftp://ftp.nluug.nl/pub/os/Linux/distr/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://mirror.nl.leaseweb.net/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> ftp://rpmfusion.ip-connect.vn.ua/mirror/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://rpmfusion.ip-connect.vn.ua/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> rsync://rpmfusion.ip-connect.vn.ua/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://mirror.telepoint.bg/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> ftp://mirror.telepoint.bg/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> ftp://ftp.cc.uoc.gr/mirrors/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://ftp.cc.uoc.gr/mirrors/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://mirror.vutbr.cz/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> ftp://mirror.vutbr.cz/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/
> os/repodata/repomd.xml
> 18:24:26  
> rsync://mirror.vutbr.cz/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://ftp.icm.edu.pl/pub/Linux/distributions/rpmfusion/nonfree/fedora/
> releases/26/Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> ftp://mirror.switch.ch/mirror/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://mirror.switch.ch/ftp/mirror/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> ftp://mirror.karneval.cz/pub/linux/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://mirror.karneval.cz/pub/linux/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://download1.rpmfusion.org/nonfree/fedora/releases/26/Everything/x86_64/
> os/repodata/repomd.xml
> 18:24:26  
> https://download1.rpmfusion.org/nonfree/fedora/releases/26/Everything/x86_64/
> os/repodata/repomd.xml
> 18:24:26  
> rsync://download1.rpmfusion.org/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> rsync://mirror.host.ag/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://mirror.host.ag/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/
> os/repodata/repomd.xml
> 18:24:26  
> ftp://fr2.rpmfind.net/linux/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> rsync://fr2.rpmfind.net/linux/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://fr2.rpmfind.net/linux/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://mirror.yandex.ru/fedora/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> rsync://mirror.yandex.ru/fedora/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> ftp://mirror.yandex.ru/fedora/rpmfusion/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> ftp://ftp.fedora.is/pub/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://www.fedora.is/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/
> os/repodata/repomd.xml
> 18:24:26  
> http://fedora.uib.no/rpmfusion/nonfree/fedora/releases/26/Everything/x86_64/
> os/repodata/repomd.xml
> 18:24:26  
> http://mir01.syntis.net/rpmfusion/nonfree/fedora/releases/26/Everything/
> x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://ftp.astral.ro/mirrors/rpmfusion.org/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26  
> http://ftp.upjs.sk/pub/mirrors/rpmfusion.org/nonfree/fedora/releases/26/
> Everything/x86_64/os/repodata/repomd.xml
> 18:24:26 lr_handle_prepare_metalink: Metalink parsed
> 18:24:26 lr_handle_prepare_internal_mirrorlist: Finalizing internal
> mirrorlist
> 18:24:26 lr_handle_prepare_internal_mirrorlist: Finalizing mirrors reported
> via LRI_MIRRORS
> 18:24:26 lr_handle_perform: Downloading/Locating yum repo
> 18:24:26 lr_yum_use_local: Locating repo..
> 18:24:26 lr_yum_use_local_load_base: Found local metalink:
> /var/cache/dnf/rpmfusion-nonfree-d8e2099596b5b756/metalink.xml
> 18:24:26 lr_yum_use_local_load_base: Parsing repomd.xml
> 18:24:26 lr_yum_use_local_load_base: Repomd revision: 1499687864
> 18:24:26 lr_yum_use_local: Repository was successfully located
> 18:24:26 lr_yum_check_checksum_of_md_record: Checking checksum of
> /var/cache/dnf/rpmfusion-nonfree-d8e2099596b5b756/repodata/
> 509d05045e99b4ad22d148886b992bdb5065df19884f97b9728ee63ab3194022-filelists.
> xml.gz (expected:
> 509d05045e99b4ad22d148886b992bdb5065df19884f97b9728ee63ab3194022 [sha256])
> 18:24:26 lr_checksum_fd_compare: Using checksum cached in xattr:
> [user.Zif.MdChecksum[1510164986]]
> 509d05045e99b4ad22d148886b992bdb5065df19884f97b9728ee63ab3194022
> 18:24:26 lr_yum_check_checksum_of_md_record: Checksum check - Passed
> 18:24:26 lr_yum_check_checksum_of_md_record: Checking checksum of
> /var/cache/dnf/rpmfusion-nonfree-d8e2099596b5b756/repodata/
> 4ae0f542174c25963e0a75ab792392a04c4a0323469b74bd2f32f2180be8c883-comps-f26.
> xml.xz (expected:
> 4ae0f542174c25963e0a75ab792392a04c4a0323469b74bd2f32f2180be8c883 [sha256])
> 18:24:26 lr_checksum_fd_compare: Using checksum cached in xattr:
> [user.Zif.MdChecksum[1510164986]]
> 4ae0f542174c25963e0a75ab792392a04c4a0323469b74bd2f32f2180be8c883
> 18:24:26 lr_yum_check_checksum_of_md_record: Checksum check - Passed
> 18:24:26 lr_yum_check_checksum_of_md_record: Checking checksum of
> /var/cache/dnf/rpmfusion-nonfree-d8e2099596b5b756/repodata/
> afcd65e9e78c6a6e6fbe4bcc14356727a1dd54e8997414f3eacdb0129c06e199-primary.xml.
> gz (expected:
> afcd65e9e78c6a6e6fbe4bcc14356727a1dd54e8997414f3eacdb0129c06e199 [sha256])
> 18:24:26 lr_checksum_fd_compare: Using checksum cached in xattr:
> [user.Zif.MdChecksum[1510678449]]
> afcd65e9e78c6a6e6fbe4bcc14356727a1dd54e8997414f3eacdb0129c06e199
> 18:24:26 lr_yum_check_checksum_of_md_record: Checksum check - Passed
> 18:24:26 lr_handle_perform: Restoring an old SIGINT handler

Same problème here, migration impossible :)

Comment 40 Anton Kochkov 2017-11-15 05:15:14 UTC
Why it was closed? Bug still presented, question is, how to stop it from connecting the network after the reboot?

2017-11-15T05:08:10Z DEBUG Cannot download 'https://mirrors.fedoraproject.org/metalink?repo=updates-released-f27&arch=x86_64': Cannot prepare internal mirrorlist: Curl error (6): Couldn't resolve host name for https://mirrors.fedoraproje
ct.org/metalink?repo=updates-released-f27&arch=x86_64 [Could not resolve host: mirrors.fedoraproject.org].
2017-11-15T05:08:10Z DDEBUG Cleaning up.
2017-11-15T05:08:10Z SUBDEBUG
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 229, in _perform
    return super(_Handle, self).perform(result)
  File "/usr/lib64/python3.6/site-packages/librepo/__init__.py", line 1522, in perform
    _librepo.Handle.perform(self, result)
librepo.LibrepoException: (8, "Cannot prepare internal mirrorlist: Curl error (6): Couldn't resolve host name for https://mirrors.fedoraproject.org/metalink?repo=updates-released-f27&arch=x86_64 [Could not resolve host: mirrors.fedorapro
ject.org]", 'An Curl handle error')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 909, in load
    if self._try_revive():
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 857, in _try_revive
    return self._try_revive_by_metalink()
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 810, in _try_revive_by_metalink
    handle._perform()
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 233, in _perform
    raise _DetailedLibrepoError(exc, source)
dnf.repo._DetailedLibrepoError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1010, in run
    self._process_demands()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 763, in _process_demands
    load_available_repos=self.demands.available_repos)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 353, in fill_sack
    self._add_repo_to_sack(r)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 118, in _add_repo_to_sack
    repo.load()
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 931, in load
    raise dnf.exceptions.RepoError(msg)
dnf.exceptions.RepoError: Failed to synchronize cache for repo 'updates'

Comment 41 nicolas.vieville 2017-11-16 14:15:12 UTC
Hello,

Same problem here, with same log as #40. Bug still persist. dnf wants to connect to network.

Added -C commutator (--cacheonly - don't try to connect to network) to dnf command in file:

/usr/lib/systemd/system/system-update.target.wants/dnf-system-upgrade.service 

from python3-dnf-plugin-system-upgrade.noarch package, e.g. modify this line in the file:

ExecStart=/usr/bin/dnf --releasever=${RELEASEVER} system-upgrade upgrade

to:

ExecStart=/usr/bin/dnf -C --releasever=${RELEASEVER} system-upgrade upgrade

Then:

dnf system-upgrade reboot

should start upgrading f26 to f27.

I add another glitch on first attempt with -C commutator activated. One package downloaded for the upgrade was corrupted while in the "dnf system-upgrade download --releasever=27 --allowerasing --best" command, checksum was wrong.
The upgrade failed too and rebooted to f26, but /var/log/dnf.log was explicit about the wrong checksum and the name of the package.
Just downloaded the package manually to the correct directory, checked its sha256sum against its "package pkgid" in /var/lib/dnf/system-upgrade/repository_name-xxx//repodata/yyy-filelists.xml.gz (with repository_name, xxx, and yyy set correctly), then "dnf system-upgrade reboot", and upgrade went well.

Hope this will be helpful for users to upgrade, and for developers to catch this issue.

Any comment about this one are welcome.

Cordially,


-- 
NVieville

Comment 42 Reid Rivenburgh 2017-11-16 14:18:56 UTC
I was also seeing this bug.  I had some extra repos enabled (adobe-line, google-chrome), and after disabling them, I was able to complete the upgrade.  (I had also done another refresh and update with dnf.)

Comment 43 Jacques-Henri Jourdan 2017-11-16 18:12:11 UTC
Same issue here!

Comment 44 Mauro Carvalho Chehab 2017-11-16 18:44:45 UTC
Same issue here. comment #41 seems to be in the right direction of a fix.
I'm using here:
   python3-dnf-plugin-system-upgrade-2.0.3-1.fc26.noarch

Comment 45 Mauro Carvalho Chehab 2017-11-16 18:51:39 UTC
(In reply to Mauro Carvalho Chehab from comment #44)
> Same issue here. comment #41 seems to be in the right direction of a fix.
> I'm using here:
>    python3-dnf-plugin-system-upgrade-2.0.3-1.fc26.noarch

Just disabling cache is not enough, as caches are not updated:

Resumo da transação
================================================================================
Instalar       132 Pacotes
Atualizar     6132 Pacotes
Remover         11 Pacotes
Desatualizar    25 Pacotes

2017-11-16T18:46:12Z INFO Tamanho total: 6.9 G
2017-11-16T18:46:12Z INFO Tamanho total do download: 671 k
2017-11-16T18:46:12Z INFO Baixando pacotes:
2017-11-16T18:46:30Z CRITICAL Error opening file for checksum: /var/lib/dnf/system-upgrade/updates-09879b494aeba108/packages/mesa-libOpenCL-17.2.4-2.fc27.i686.rpm
2017-11-16T18:46:30Z CRITICAL Package "mesa-libOpenCL-17.2.4-2.fc27.i686" from repository "updates" has incorrect checksum
2017-11-16T18:46:30Z DDEBUG Cleaning up.
2017-11-16T18:46:30Z SUBDEBUG 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 123, in cli_run
    ret = resolving(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 154, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 221, in do_transaction
    self.download_packages(install_pkgs, self.output.progress, total_cb)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 1063, in download_packages
    remote_pkgs, local_repository_pkgs = self._select_remote_pkgs(pkglist)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 2345, in _select_remote_pkgs
    _('Some packages have invalid cache, but cannot be downloaded due to '
dnf.exceptions.Error: Some packages have invalid cache, but cannot be downloaded due to "--cacheonly" option
2017-11-16T18:46:30Z CRITICAL Erro: Some packages have invalid cache, but cannot be downloaded due to "--cacheonly" option

Perhaps comment #41 should be followed by a dnf makecache

Comment 46 Mauro Carvalho Chehab 2017-11-16 19:05:29 UTC
(In reply to Mauro Carvalho Chehab from comment #45)
> (In reply to Mauro Carvalho Chehab from comment #44)
> > Same issue here. comment #41 seems to be in the right direction of a fix.
> > I'm using here:
> >    python3-dnf-plugin-system-upgrade-2.0.3-1.fc26.noarch
> 
> Just disabling cache is not enough, as caches are not updated:
> 
> Resumo da transação
> =============================================================================
> ===
> Instalar       132 Pacotes
> Atualizar     6132 Pacotes
> Remover         11 Pacotes
> Desatualizar    25 Pacotes
> 
> 2017-11-16T18:46:12Z INFO Tamanho total: 6.9 G
> 2017-11-16T18:46:12Z INFO Tamanho total do download: 671 k
> 2017-11-16T18:46:12Z INFO Baixando pacotes:
> 2017-11-16T18:46:30Z CRITICAL Error opening file for checksum:
> /var/lib/dnf/system-upgrade/updates-09879b494aeba108/packages/mesa-libOpenCL-
> 17.2.4-2.fc27.i686.rpm
> 2017-11-16T18:46:30Z CRITICAL Package "mesa-libOpenCL-17.2.4-2.fc27.i686"
> from repository "updates" has incorrect checksum
> 2017-11-16T18:46:30Z DDEBUG Cleaning up.
> 2017-11-16T18:46:30Z SUBDEBUG 
> Traceback (most recent call last):
>   File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
>     return _main(base, args, cli_class, option_parser_class)
>   File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
>     return cli_run(cli, base)
>   File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 123, in
> cli_run
>     ret = resolving(cli, base)
>   File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 154, in
> resolving
>     base.do_transaction(display=displays)
>   File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 221, in
> do_transaction
>     self.download_packages(install_pkgs, self.output.progress, total_cb)
>   File "/usr/lib/python3.6/site-packages/dnf/base.py", line 1063, in
> download_packages
>     remote_pkgs, local_repository_pkgs = self._select_remote_pkgs(pkglist)
>   File "/usr/lib/python3.6/site-packages/dnf/base.py", line 2345, in
> _select_remote_pkgs
>     _('Some packages have invalid cache, but cannot be downloaded due to '
> dnf.exceptions.Error: Some packages have invalid cache, but cannot be
> downloaded due to "--cacheonly" option
> 2017-11-16T18:46:30Z CRITICAL Erro: Some packages have invalid cache, but
> cannot be downloaded due to "--cacheonly" option
> 
> Perhaps comment #41 should be followed by a dnf makecache

Doesn't help. I even tried to add a:

ExecStartPre=/usr/bin/dnf makecache

Cache builds, but it keeps complaining about mesa-libOpenCL-17.2.4-2.fc27.i686 CRC.

Comment 47 Jacques-Henri Jourdan 2017-11-16 21:29:08 UTC
I reproduced this issue on two of my machines.

AFAICT, what the two machines have in common is that they are the result of a long chain of updates of previous versions of Fedora, and that they have the following additional repos:

fedora-updates-testing

rpmfusion-free
rpmfusion-free-updates
rpmfusion-free-updates-testing
rpmfusion-nonfree
rpmfusion-nonfree-updates
rpmfusion-nonfree-updates-testing

google-chrome (http://dl.google.com/linux/chrome/rpm/stable/x86_64)

Moreover, dnf clean all did not help (it actually did not even removed system-upgrade's metadata, contrarily to what is said in the output of system-upgrade download), and removing /var/lib/dnf/system-upgrade* did not help either.

Comment 48 Mauro Carvalho Chehab 2017-11-16 23:14:48 UTC
(In reply to Mauro Carvalho Chehab from comment #46)
> (In reply to Mauro Carvalho Chehab from comment #45)
> > (In reply to Mauro Carvalho Chehab from comment #44)
> > > Same issue here. comment #41 seems to be in the right direction of a fix.
> > > I'm using here:
> > >    python3-dnf-plugin-system-upgrade-2.0.3-1.fc26.noarch
> > 
> > Just disabling cache is not enough, as caches are not updated:
> > 
> > Resumo da transação
> > =============================================================================
> > ===
> > Instalar       132 Pacotes
> > Atualizar     6132 Pacotes
> > Remover         11 Pacotes
> > Desatualizar    25 Pacotes
> > 
> > 2017-11-16T18:46:12Z INFO Tamanho total: 6.9 G
> > 2017-11-16T18:46:12Z INFO Tamanho total do download: 671 k
> > 2017-11-16T18:46:12Z INFO Baixando pacotes:
> > 2017-11-16T18:46:30Z CRITICAL Error opening file for checksum:
> > /var/lib/dnf/system-upgrade/updates-09879b494aeba108/packages/mesa-libOpenCL-
> > 17.2.4-2.fc27.i686.rpm
> > 2017-11-16T18:46:30Z CRITICAL Package "mesa-libOpenCL-17.2.4-2.fc27.i686"
> > from repository "updates" has incorrect checksum
> > 2017-11-16T18:46:30Z DDEBUG Cleaning up.
> > 2017-11-16T18:46:30Z SUBDEBUG 
> > Traceback (most recent call last):
> >   File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
> >     return _main(base, args, cli_class, option_parser_class)
> >   File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
> >     return cli_run(cli, base)
> >   File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 123, in
> > cli_run
> >     ret = resolving(cli, base)
> >   File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 154, in
> > resolving
> >     base.do_transaction(display=displays)
> >   File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 221, in
> > do_transaction
> >     self.download_packages(install_pkgs, self.output.progress, total_cb)
> >   File "/usr/lib/python3.6/site-packages/dnf/base.py", line 1063, in
> > download_packages
> >     remote_pkgs, local_repository_pkgs = self._select_remote_pkgs(pkglist)
> >   File "/usr/lib/python3.6/site-packages/dnf/base.py", line 2345, in
> > _select_remote_pkgs
> >     _('Some packages have invalid cache, but cannot be downloaded due to '
> > dnf.exceptions.Error: Some packages have invalid cache, but cannot be
> > downloaded due to "--cacheonly" option
> > 2017-11-16T18:46:30Z CRITICAL Erro: Some packages have invalid cache, but
> > cannot be downloaded due to "--cacheonly" option
> > 
> > Perhaps comment #41 should be followed by a dnf makecache
> 
> Doesn't help. I even tried to add a:
> 
> ExecStartPre=/usr/bin/dnf makecache
> 
> Cache builds, but it keeps complaining about
> mesa-libOpenCL-17.2.4-2.fc27.i686 CRC.

I was able to update it, after removing mesa-libOpenCL.i686 and nss.i686

Comment 49 nicolas.vieville 2017-11-17 09:57:22 UTC
Hello,

To complete my previous comment (https://bugzilla.redhat.com/show_bug.cgi?id=1492036#c41) the package that the checksum was not correct was mesa-libOpenCL-17.2.4-2.fc27.i686.rpm.

So here what worked. Please, adapt directories names and packages names to your case.
First, get and replace the packages(s) with wrong checksum (be careful next command on 1 line instead of 3, other mirrors work too):

wget -O /var/lib/dnf/system-upgrade/updates-09879b494aeba108/packages/mesa-libOpenCL-17.2.4-2.fc27.i686.rpm http://ftp.lip6.fr/ftp/pub/linux/distributions/fedora/updates/27/x86_64/Packages/m/mesa-libOpenCL-17.2.4-2.fc27.i686.rpm

Get downloaded package(s) checksum (here mesa-libOpenCL-17.2.4-2.fc27.i686.rpm):

sha256sum /var/lib/dnf/system-upgrade/updates-09879b494aeba108/packages/mesa-libOpenCL-17.2.4-2.fc27.i686.rpm

Verify that system-upgrade has the same checksum (pkgid value):

zgrep -e "package pkgid.*mesa-libOpenCL" /var/lib/dnf/system-upgrade/updates-09879b494aeba108/repodata/90bad8d6d7c51ffd87ff01cd50f4d25e076cf4d20845ec48bae87d2456ca33c8-filelists.xml.gz

If previous step is Ok, then:

dnf -y system-upgrade download --releasever=27 --allowerasing --best

If all is in order, modify /usr/lib/systemd/system/system-update.target.wants/dnf-system-upgrade.service file (on 1 line):

sed -i 's%ExecStart=/usr/bin/dnf --releasever%ExecStart=/usr/bin/dnf -C --releasever%g' /usr/lib/systemd/system/system-update.target.wants/dnf-system-upgrade.service

Then start upgrade:

dnf system-upgrade reboot

Once the upgrade is finished, restore /usr/lib/systemd/system/system-update.target.wants/dnf-system-upgrade.service file back (1 line again):

sed 's%ExecStart=/usr/bin/dnf -C --releasever%ExecStart=/usr/bin/dnf --releasever%g /usr/lib/systemd/system/system-update.target.wants/dnf-system-upgrade.service

Done.

Cordially,


-- 
NVieville

Comment 50 Yannick Meudal 2017-11-18 11:53:41 UTC
Hello,

Impossible to process a system upgrade, as the system is rebooting twice after a "system-upgrade reboot"
I have this error in dnf.log:

librepo.LibrepoException: (8, "Cannot prepare internal mirrorlist: Curl error (6): Couldn't resolve host name for https://mirrors.fedoraproject.org/metalink?repo=updates-released-f27&arch=x86_64 [Could not resolve host: mirrors.fedorapro
ject.org]", 'An Curl handle error')

I found a workaround for my differents machines.
There is a file, updated at the end of the download phase:
/var/lib/dnf/system-upgrade/expired_repos.json

It contains (for example, content may change for unknown reasons): 
["rpmfusion-free", "fedora", "updates"]

I modified this file to en empty json array: []

Proccess for upgrading to F27 started normally after this modification and a "dnf system-upgrade reboot".

Comment 51 nicofonk 2017-11-19 10:34:10 UTC
(In reply to Yannick Meudal from comment #50)
> Hello,
> 
> Impossible to process a system upgrade, as the system is rebooting twice
> after a "system-upgrade reboot"
> I have this error in dnf.log:
> 
> librepo.LibrepoException: (8, "Cannot prepare internal mirrorlist: Curl
> error (6): Couldn't resolve host name for
> https://mirrors.fedoraproject.org/metalink?repo=updates-released-
> f27&arch=x86_64 [Could not resolve host: mirrors.fedorapro
> ject.org]", 'An Curl handle error')
> 
> I found a workaround for my differents machines.
> There is a file, updated at the end of the download phase:
> /var/lib/dnf/system-upgrade/expired_repos.json
> 
> It contains (for example, content may change for unknown reasons): 
> ["rpmfusion-free", "fedora", "updates"]
> 
> I modified this file to en empty json array: []
> 
> Proccess for upgrading to F27 started normally after this modification and a
> "dnf system-upgrade reboot".

Thank for the workaround I had encountered the same issue.

Comment 52 Philippe Jumelle 2017-11-19 14:36:12 UTC
Hi,
Workaround suggested by Yannick worked for me as well.
As reported in https://bugzilla.redhat.com/show_bug.cgi?id=1492036#c47, my system has also been through multiple upgrades from Fedora 19.
Thanks

Comment 53 Daniel Mach 2017-11-20 11:59:02 UTC
Could anyone help us to narrow the problem down and make a reliable reproducer?

I'm interested in:
* Any copies of RPMs with invalid checksums (e.g. the mesa-libOpenCL-17.2.4-2.fc27.i686.rpm)
* relevant part of /var/log/dnf.librepo.log showing which mirror was used to download the broken RPM(s)

We need to understand what exactly happened that the files with invalid checksums ended up on disk. Did DNF skip some checks? Is it a data corruptor in a library DNF uses?

Comment 54 Jacques-Henri Jourdan 2017-11-20 15:39:38 UTC
> We need to understand what exactly happened that the files with invalid checksums ended up on disk. Did DNF skip some checks? Is it a data corruptor in a library DNF uses?

As far as I'm concerned, I (think that I) checked the hashes of all the files in /var/lib/dnf/systemp-upgrade/*/ and compared them to those present in the xxx-filelists.xml.gz. It does not seem there is any corrupted package.

Btw, is there a more or less automatic way to do these checks? I have a small bash script for this, but this is not very reliable.

Comment 55 Jaroslav Mracek 2017-11-21 13:07:54 UTC
I create a patch (https://github.com/rpm-software-management/dnf-plugins-extras/pull/114) that set system-upgrade-run after reboot as cacheonly operation.

I also would like to provide additional information. To remove cache for system-upgrade you have to run "dnf system-upgrade clean" command.

Still the request of Dan Mach is valid. We don't know why there was a corrupted package therefore we cannot prevent it.

Comment 56 Jacques-Henri Jourdan 2017-11-21 13:26:09 UTC
> Still the request of Dan Mach is valid. We don't know why there was a corrupted package therefore we cannot prevent it.

As I said, I don't think this is the (only) problem. My machine does not seem to have downloaded any corrupted package, but the upgrade still fails.

I would be happy to provide more debug information, though (just tell me what). For now, the only thing I know is the content of /var/log/dnf.log:

2017-11-21T13:19:07Z INFO --- logging initialized ---
2017-11-21T13:19:07Z DDEBUG timer: config: 3 ms
2017-11-21T13:19:07Z DEBUG Loaded plugins: builddep, config-manager, copr, debug, debuginfo-install, download, generate_completion_cache, needs-restarting, playground, repoclosure, repograph, repomanage, reposync, system-upgrade
2017-11-21T13:19:07Z DEBUG DNF version: 2.7.5
2017-11-21T13:19:07Z DDEBUG Command: dnf --releasever=27 system-upgrade upgrade 
2017-11-21T13:19:07Z DDEBUG Installroot: /
2017-11-21T13:19:07Z DDEBUG Releasever: 27
2017-11-21T13:19:07Z DEBUG cachedir: /var/cache/dnf
2017-11-21T13:19:07Z DDEBUG Base command: system-upgrade
2017-11-21T13:19:07Z DDEBUG Extra commands: ['--releasever=27', 'system-upgrade', 'upgrade']
2017-11-21T13:19:09Z DEBUG Impossible de télécharger « https://mirrors.fedoraproject.org/metalink?repo=updates-released-f27&arch=x86_64 » : Cannot prepare internal mirrorlist: Curl error (6): Couldn't resolve host name for https://mirrors.fedoraproject.org/metalink?repo=updates-released-f27&arch=x86_64 [Could not resolve host: mirrors.fedoraproject.org].
2017-11-21T13:19:09Z DDEBUG Cleaning up.
2017-11-21T13:19:09Z SUBDEBUG 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 229, in _perform
    return super(_Handle, self).perform(result)
  File "/usr/lib64/python3.6/site-packages/librepo/__init__.py", line 1522, in perform
    _librepo.Handle.perform(self, result)
librepo.LibrepoException: (8, "Cannot prepare internal mirrorlist: Curl error (6): Couldn't resolve host name for https://mirrors.fedoraproject.org/metalink?repo=updates-released-f27&arch=x86_64 [Could not resolve host: mirrors.fedoraproject.org]", 'An Curl handle error')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 909, in load
    if self._try_revive():
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 857, in _try_revive
    return self._try_revive_by_metalink()
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 810, in _try_revive_by_metalink
    handle._perform()
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 233, in _perform
    raise _DetailedLibrepoError(exc, source)
dnf.repo._DetailedLibrepoError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1010, in run
    self._process_demands()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 763, in _process_demands
    load_available_repos=self.demands.available_repos)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 353, in fill_sack
    self._add_repo_to_sack(r)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 118, in _add_repo_to_sack
    repo.load()
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 931, in load
    raise dnf.exceptions.RepoError(msg)
dnf.exceptions.RepoError: Échec de la synchronisation du cache pour le dépôt « updates »
2017-11-21T13:19:09Z CRITICAL Erreur : Échec de la synchronisation du cache pour le dépôt « updates »

Comment 57 Yannick Meudal 2017-11-21 20:54:29 UTC
I would like to share some results I have made this evening from a F26. 
I focus on content of the file /var/lib/dnf/system-upgrade/expired_repos.json. If this file is not an empty array, It will not be possible to upgrade, as there will be en error at boot as reported above: there is no network connection during the upgrading process.

Here is steps I have done, just after a fresh "dnf --refresh update": 

1. dnf system-upgrade download --releasever=27
all packages are downloaded without interruption, at once.
expired_repos.json = [] 
--> upgrade should be OK

2. then, "dnf system-upgrade download --releasever=27" again, with all my packages are present in cache.
expired_repos.json = ["rpmfusion-free", "rpmfusion-nonfree", "updates", "fedora"]

3. I remove rpmfusion-nonfree-release-27-1.noarch.rpm from a repo cache, the only package from rpmfusion-nonfree. 
"dnf system-upgrade download --releasever=27", 
expired_repos.json = ["rpmfusion-free", "updates", "fedora"]

4. I remove wpa_supplicant-2.6-12.fc27.x86_64.rpm, one of the serveral packages of the "updates" repo.  
"dnf system-upgrade download --releasever=27",
expired_repos.json = ["rpmfusion-nonfree", "updates", "rpmfusion-free", "fedora"]

4. "dnf system-upgrade download --releasever=27 --refresh"
No effect,
expired_repos.json = ["rpmfusion-nonfree", "updates", "rpmfusion-free", "fedora"]

I guess that the expired_repos.json file is the key of the problem, and with these tests, I affirm that if downloading upgrade packages are not done at once (since the first 'system-upgrade download', or after a 'system-upgrade clean'), it is not possible to proceed to the upgrade.
Of course, if a manually set the file content to "[]", all is going fine.

Comment 58 Jacques-Henri Jourdan 2017-11-23 09:54:15 UTC
I confirm that

     $ echo "[]" | sudo tee /var/lib/dnf/system-upgrade/expired_repos.json

just before the reboot seems to fix the issue.

Comment 59 Jaroslav Mracek 2017-11-23 13:47:29 UTC
I believe that dnf-plugins-extras-2.0.4-1 solved the issue. Please can anyone confirm it?

Comment 60 Jacques-Henri Jourdan 2017-11-23 21:44:58 UTC
Where can I find this package? It does not seem to be available on updates-testing.

Comment 61 Adam Williamson 2017-11-23 22:05:45 UTC
https://koji.fedoraproject.org/koji/buildinfo?buildID=1003636 (f26). I'm assuming it should be installed before starting the upgrade process.

Comment 62 Jaroslav Mracek 2017-11-24 09:45:55 UTC
I would recommend to perform "dnf system-upgrade clean" after upgrade to python3-dnf-plugin-system-upgrade-2.0.4.

Comment 63 Yannick Meudal 2017-11-24 17:08:02 UTC
- I installed python3-dnf-plugin-system-upgrade-2.0.4.fc26.noarch,
- proceeded to a "dnf system-upgrade clean"
- Make "dnf system-upgrade download --releaserver=27" *serveral times*, interrupted by ctrl+c.
- when all is downloaded and the final transaction is written, "dnf system-upgrade reboot". (and /var/lib/dnf/system-upgrade/expired_repos.json is not an empty json array)

Same effect as previous observations on reboot, my VM does not upgrade.

Comment 64 Jaroslav Mracek 2017-11-27 09:14:32 UTC
Please can you provide an output from /var/log/dnf.log , /var/log/hawkey.log, and /var/log/librepo.log where I van see the system-upgrade transactions. Thanks a lot.

PS: It looks like that we have multiple issues with the same symptoms.

Comment 65 Yannick Meudal 2017-11-27 10:12 UTC
Created attachment 1359417 [details]
/var/log/dnf.librepo.log

As requested by Jaroslav

Comment 66 Yannick Meudal 2017-11-27 10:16 UTC
Created attachment 1359419 [details]
/var/log/dnf.log

As requested by Jaroslav

Comment 67 Yannick Meudal 2017-11-27 10:18 UTC
Created attachment 1359420 [details]
/var/log/hawkey.log

As requested by Jaroslav

Comment 68 Jaroslav Mracek 2017-11-27 10:50:05 UTC
Thanks, and can I ask you also for /etc/dnf/dnf.conf, and /etc/yum.repos.d/updates.repo . Thanks a lot

Comment 69 Yannick Meudal 2017-11-27 11:08:26 UTC
[root@fractal dnf]# cat /etc/dnf/dnf.conf 
[main]
gpgcheck=1
installonly_limit=3
clean_requirements_on_remove=True

[root@fractal dnf]# cat /etc/yum.repos.d/fedora-updates.repo
[updates]
name=Fedora $releasever - $basearch - Updates
failovermethod=priority
#baseurl=http://download.fedoraproject.org/pub/fedora/linux/updates/$releasever/$basearch/
metalink=https://mirrors.fedoraproject.org/metalink?repo=updates-released-f$releasever&arch=$basearch
enabled=1
repo_gpgcheck=0
type=rpm
gpgcheck=1
metadata_expire=6h
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
skip_if_unavailable=False

... (other repos in this file are disabled)

Comment 70 Jaroslav Mracek 2017-11-27 13:56:25 UTC
I created a patch that should solve the issue (https://github.com/rpm-software-management/dnf/pull/990).

Comment 71 Yannick Meudal 2017-11-28 06:55:20 UTC
Tested with the patch applied manually, I confirm that it will solve my issue.

Comment 72 Fedora Update System 2017-11-29 10:32:00 UTC
dnf-2.7.5-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-78ee23164e

Comment 73 Fedora Update System 2017-11-29 10:32:27 UTC
dnf-2.7.5-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8606ea067c

Comment 74 Marek Blaha 2017-11-30 09:51:41 UTC
*** Bug 1514754 has been marked as a duplicate of this bug. ***

Comment 75 Marek Blaha 2017-11-30 09:55:00 UTC
*** Bug 1514633 has been marked as a duplicate of this bug. ***

Comment 76 Marek Blaha 2017-11-30 09:56:41 UTC
*** Bug 1514877 has been marked as a duplicate of this bug. ***

Comment 77 limace42 2017-12-02 07:04:02 UTC
I was concerned by this bug. As of 2017-11-30, the fix in package python3-dnf-plugin-system-upgrade-2.0.4.fc26.noarch may have helped. But the upgrade process was still blocked until I deleted `/var/lib/dnf/system-upgrade/` and `/var/lib/dnf/system-upgrade.json`.

In conclusion, the problem is now fixed for me, but I had to add the manual step of cleaning the files coming from previous attempts.

Comment 78 Fedora Update System 2017-12-02 19:52:46 UTC
dnf-2.7.5-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-78ee23164e

Comment 79 Fedora Update System 2017-12-02 22:38:13 UTC
dnf-2.7.5-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8606ea067c

Comment 80 Martin Ueding 2017-12-03 09:18:36 UTC
I installed said update of DNF on my system *and* replaced the `expired-repos.js` with `[]`. Then the updated worked out. So I cannot tell which one it was, but at least the problem is solved for me.

Comment 81 Adrien Bustany 2017-12-03 10:31:06 UTC
The update worked for me with the latest DNF and after removing mesa-libOpenCL.i686 to avoid the checksum issue.

Comment 82 Peter Pindsle 2017-12-03 22:27:02 UTC
(In reply to Fedora Update System from comment #79)
> dnf-2.7.5-2.fc26 has been pushed to the Fedora 26 testing repository. 

This fixed the problem for me.  Previously, I had tried every workaround here with no success.  I did notice that while /var/lib/dnf/system-upgrade/expired_repos.json was empty ('[]') prior to the system-upgrade reboot, it had entries in it after this step, so maybe my problem was slightly different to the others listed.  I should be able to supply logs if it helps.

Comment 83 Chad Feller 2017-12-06 00:43:05 UTC
(In reply to Adrien Bustany from comment #81)
> The update worked for me with the latest DNF and after removing
> mesa-libOpenCL.i686 to avoid the checksum issue.

Ditto.  Not sure what is wrong with that package, but I had to remove it as well.

Comment 84 Daniel Boiko 2017-12-07 10:45:47 UTC
YES!
expired_repos.json
Fixes my issue. Thanks for this.

Before I had an error in logs about cache sync for updates repo:

Ошибка: Не удается синхронизировать кэш для репозитория «updates»

Comment 85 Fedora Update System 2017-12-09 22:26:37 UTC
dnf-2.7.5-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 86 Fedora Update System 2017-12-10 05:07:51 UTC
dnf-2.7.5-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 87 H.-P. Sorge 2018-01-03 20:14:20 UTC
Today retested on arm / raspberry.

Executed commands:
dnf --refresh upgrade
dnf system-upgrade download --releasever=27

dnf update
dnf system-upgrade download --releasever=27  # with additional package download
   
dnf system-upgrade reboot

Result:
Upgrade completed and booted into fc27. 

Problem solved.


Note You need to log in before you can comment on or make changes to this bug.